List requirements
curl --request GET \
--url https://api.clemta.com/v1/requirements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clemta.com/v1/requirements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clemta.com/v1/requirements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"items": [
{
"object": "requirement",
"id": "rqmt_0346sFPEvSkJvY8vt14NNw",
"company": "<string>",
"type": "document",
"status": "open",
"requested_by": "system",
"livemode": true,
"created_at": "2023-11-07T05:31:56Z",
"service_order": "<string>",
"shareholder": "<string>",
"purpose": "identity_document",
"document_name": "<string>",
"signers": [
{
"ref": "<string>",
"status": "pending_email",
"email": "<string>",
"name": "<string>",
"viewed_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"signed_at": "2023-11-07T05:31:56Z",
"declined_at": "2023-11-07T05:31:56Z"
}
],
"message": "<string>",
"cancel_reason": "<string>",
"form": {
"fields": [
{
"field_name": "<string>",
"field_type": "text",
"key": "<string>",
"required": true,
"options": [
"<string>"
],
"guidance": "<string>",
"help": "<string>",
"note": "<string>",
"placeholder": "<string>",
"info_points": [
"<string>"
],
"conditional": {
"field": "<string>",
"values": [
"<string>"
]
},
"validation": {
"pattern": "<string>",
"min_length": 123,
"max_length": 123,
"min": 123,
"max": 123
},
"file": {
"accepted_types": [
"<string>"
],
"max_size_bytes": 123
}
}
],
"title": "<string>",
"warning": "<string>"
},
"response": [
{
"value": "<unknown>",
"key": "<string>",
"field_name": "<string>"
}
],
"attachments": [
{
"filename": "<string>",
"field": "<string>",
"field_name": "<string>",
"content_type": "<string>",
"size": 123
}
],
"resolved_at": "2023-11-07T05:31:56Z"
}
]
}Requirements
List requirements
Everything currently (or previously) needed from you, newest first. Filter by company and/or status. Poll status=open to see what is outstanding.
GET
/
requirements
List requirements
Authorizations
Your API key, e.g. Authorization: Bearer clmt_test_. Live keys use the clmt_live_ prefix.
Query Parameters
Only this company's requirements.
Pattern:
^cmp_[0-9A-Za-z]{22}$Available options:
open, resolved, canceled ⌘I